### Class

# Clapper Timeline

#### Description [src]

    final class Clapper.Timeline : Gst.Object
      implements Gio.ListModel {
      /* No available fields */
    }

A media timeline filled with point markers.

#### Hierarchy

#### Ancestors

- GstObject
- GInitiallyUnowned
- GObject

#### Implements

- GListModel

#### Instance methods

###### clapper_timeline_get_marker

Get the `ClapperMarker` at index.

###### clapper_timeline_get_n_markers

Get the number of markers in `ClapperTimeline`.

###### clapper_timeline_insert_marker

Insert the `ClapperMarker` into `timeline`.

###### clapper_timeline_remove_marker

Removes `ClapperMarker` from the timeline.

##### Methods inherited from GstObject (25)

Please see GstObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Clapper.Timeline:n-markers

Number of markers in the timeline.

##### Properties inherited from GstObject (2)

###### Gst.Object:name

No description available.

###### Gst.Object:parent

The parent of the object. Please note, that when changing the ‘parent’ property, we don’t emit `GObject::notify` and `GstObject::deep-notify` signals due to locking issues. In some cases one can use `GstBin::element-added` or `GstBin::element-removed` signals on the parent to achieve a similar effect.

#### Signals

##### Signals inherited from GstObject (1)

###### GstObject::deep-notify

The deep notify signal is used to be notified of property changes. It is typically attached to the toplevel bin to receive notifications from all the elements contained in that bin.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct ClapperTimelineClass {
      GstObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GstObjectClass`

  No description available.